package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrCircuit;

/**
 * 短接Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrCircuitMapper
{
    /**
     * 查询短接
     *
     * @param id 短接ID
     * @return 短接
     */
    public TPssrCircuit selectTPssrCircuitById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询短接列表
     *
     * @param tPssrCircuit 短接
     * @return 短接集合
     */
    
    public List<TPssrCircuit> selectTPssrCircuitList(TPssrCircuit tPssrCircuit);

    /**
     * 新增短接
     *
     * @param tPssrCircuit 短接
     * @return 结果
     */
    public int insertTPssrCircuit(TPssrCircuit tPssrCircuit);

    /**
     * 修改短接
     *
     * @param tPssrCircuit 短接
     * @return 结果
     */
    public int updateTPssrCircuit(TPssrCircuit tPssrCircuit);
    public int updateTPssrCircuitByIds(TPssrCircuit tPssrCircuit);


    /**
     * 删除短接
     *
     * @param id 短接ID
     * @return 结果
     */
    public int deleteTPssrCircuitById(Long id);

    /**
     * 批量删除短接
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrCircuitByIds(Long[] ids);
}
